
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was airinv-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/airinv" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

#
# Config file for the AirInv package. It defines the following variables:
#  AIRINV_VERSION      - version of AirInv
#  AIRINV_BINARY_DIRS  - binary directories for AirInv
#  AIRINV_INCLUDE_DIRS - include directories for AirInv
#  AIRINV_LIBRARY_DIRS - library directories for AirInv (normally not used!)
#  AIRINV_LIBRARIES    - libraries to link against
#  AIRINV_EXECUTABLES  - the AirInv binaries/executables

# Tell the user project where to find AirInv headers and libraries
set (AIRINV_VERSION "1.00.12")
set (AIRINV_BINARY_DIRS "${PACKAGE_PREFIX_DIR}/bin")
set (AIRINV_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set (AIRINV_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib64")

# Library dependencies for AirInv (contains definitions for the AirInv IMPORTED
# targets)
include ("${CMAKE_CURRENT_LIST_DIR}/airinv-library-depends.cmake")

# These are the AirInv IMPORTED targets, created by airinv-library-depends.cmake
set (AIRINV_LIBRARIES airinvlib)
set (AIRINV_EXECUTABLES airinv airinv_parseInventory)
